For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GET[BETA] Get all signal endpoints.
      • POST[BETA] Create a signal endpoint.
      • PUT[BETA] Update a signal endpoint.
      • DEL[BETA] Delete a signal endpoint.
      • POST[BETA] Enables a signal endpoint.
      • POST[BETA] Disables a signal endpoint.
      • GET[BETA] Get all signal endpoint tokens for a specific signal endpoint.
      • POST[BETA] Create a signal endpoint token for a specific signal endpoint.
      • PUT[BETA] Update a signal endpoint token.
      • DEL[BETA] Delete a signal endpoint token.
      • GET[BETA] Get signals originated from a specific signal endpoint.
      • POST[BETA] Call a signal endpoint.
      • GET[BETA] Get all signals that match the query parameter criteria.
      • GETGet Invoices
      • GETGet Detailed Invoices
      • GETGet instance readiness status
      • GETGet instance operational status

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIOperational

[BETA] Create a signal endpoint.

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/signal-endpoints
POST
/api/admin/signal-endpoints
$curl -X POST https://app.unleash-instance.example.com/api/admin/signal-endpoints \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "cpu-over-90"
>}'
1{
2 "id": 7,
3 "enabled": true,
4 "name": "cpu-over-90",
5 "createdAt": "2023-12-27T13:37:00+01:00",
6 "createdByUserId": 1337,
7 "description": "Notifies when CPU usage is over 90%.",
8 "url": "https://app.unleash-hosted.com/my-instance/signal-endpoint/cpu-over-90",
9 "tokens": [
10 {
11 "id": 7,
12 "name": "My external app #1",
13 "signalEndpointId": 1337,
14 "createdAt": "2023-12-27T13:37:00+01:00",
15 "createdByUserId": 1337,
16 "token": "signal_xyzrandomstring"
17 }
18 ]
19}

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Creates a new signal endpoint.

Was this page helpful?
Previous

[BETA] Update a signal endpoint.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

#/components/schemas/createSignalEndpointSchema

namestringRequired

The signal endpoint name. Must be URL-safe.

enabledbooleanOptional
Whether the signal endpoint is currently enabled. If not specified, defaults to true.
descriptionstring or nullOptional
A more detailed description of the signal endpoint and its intended use.

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
idinteger>=1
The signal endpoint's ID. Signal endpoint IDs are incrementing integers. In other words, a more recently created signal endpoint will always have a higher ID than an older one.
enabledboolean
Whether the signal endpoint is currently enabled. If not specified, defaults to true.
namestring

The signal endpoint name. Must be URL-safe.

createdAtstringformat: "date-time"
The date and time of when the signal endpoint was created.
createdByUserIdinteger
The ID of the user that created this signal endpoint.
descriptionstring or null
A more detailed description of the signal endpoint and its intended use.
urlstring
The full URL that should be used to call the signal endpoint. This property is only returned for newly created or updated signal endpoints.
tokenslist of objects
The list of tokens associated with the signal endpoint.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
415
Unsupported Media Type Error